summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2006-05-24 09:11:39 +0000
committerAndreas Proschofsky <suka@gentoo.org>2006-05-24 09:11:39 +0000
commit5af4563cd4849bc3010c5f0e154a2bf805fdf457 (patch)
tree0446b5449c250fbf1545dc4994336533f1dd5176 /app-office/openoffice-bin
parentRaise dependency for freetype to >=2.1.10 to prevent build breakage, see bug ... (diff)
downloadhistorical-5af4563cd4849bc3010c5f0e154a2bf805fdf457.tar.gz
historical-5af4563cd4849bc3010c5f0e154a2bf805fdf457.tar.bz2
historical-5af4563cd4849bc3010c5f0e154a2bf805fdf457.zip
Version bump to 2.0.3_rc3
Package-Manager: portage-2.1_rc2-r2
Diffstat (limited to 'app-office/openoffice-bin')
-rw-r--r--app-office/openoffice-bin/ChangeLog9
-rwxr-xr-xapp-office/openoffice-bin/files/2.0.3_rc3/ooo-wrapper2122
-rw-r--r--app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc3183
-rw-r--r--app-office/openoffice-bin/openoffice-bin-2.0.3_rc3.ebuild195
4 files changed, 508 insertions, 1 deletions
diff --git a/app-office/openoffice-bin/ChangeLog b/app-office/openoffice-bin/ChangeLog
index 11d2900d15e9..2fcb84c51142 100644
--- a/app-office/openoffice-bin/ChangeLog
+++ b/app-office/openoffice-bin/ChangeLog
@@ -1,6 +1,13 @@
# ChangeLog for app-office/openoffice-bin
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/ChangeLog,v 1.128 2006/05/18 18:46:26 suka Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/ChangeLog,v 1.129 2006/05/24 09:11:39 suka Exp $
+
+*openoffice-bin-2.0.3_rc3 (24 May 2006)
+
+ 24 May 2006; Andreas Proschofsky <suka@gentoo.org>
+ -files/2.0.3_rc1/ooo-wrapper2, +files/2.0.3_rc3/ooo-wrapper2,
+ -openoffice-bin-2.0.3_rc1.ebuild, +openoffice-bin-2.0.3_rc3.ebuild:
+ Version bump to 2.0.3_rc3
*openoffice-bin-2.0.3_rc1 (18 May 2006)
diff --git a/app-office/openoffice-bin/files/2.0.3_rc3/ooo-wrapper2 b/app-office/openoffice-bin/files/2.0.3_rc3/ooo-wrapper2
new file mode 100755
index 000000000000..5f4e4bae055d
--- /dev/null
+++ b/app-office/openoffice-bin/files/2.0.3_rc3/ooo-wrapper2
@@ -0,0 +1,122 @@
+#!/usr/bin/perl -w
+#*****************************************************************************
+#
+# ooffice - Wrapper script for OpenOffice.org
+#
+# Based on the Mandrake work.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2, as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+#*****************************************************************************
+
+use strict;
+use IO::Handle;
+use Fcntl ':flock';
+
+my $Debug = $ENV{OOO_DEBUG};
+
+# Define the vendor of this particular OOo package
+my $VendorName = 'Gentoo';
+# Define system installation directory
+# Autoconf totally sucks for @libdir@ type substitution
+my $SystemInstallDir = 'INSTDIR';
+# Suffix for parallel installable versioning
+my $BinSuffix = '2';
+# ooo-build version
+my $OOO_BUILDVERSION = 'PV';
+
+#=============================================================================
+# Main
+#=============================================================================
+
+# Parse command line arguments
+my @ooo_argv;
+my $session_quickstart;
+my $widgets_set;
+while ($ARGV[0]) {
+ $_ = shift;
+ if (m/^--session-quickstart/) {
+ $session_quickstart = 1;
+ } elsif (m/^--widgets-set/) {
+ $widgets_set = shift;
+ (defined $widgets_set) || die "Error: The option --widgets-set requires a value\n" .
+ "For example: --widgets-set gtk\n";
+ } elsif (m/^--version/) {
+ print "This is OpenOffice.org $OOO_BUILDVERSION\n";
+ exit 0;
+ } else {
+ push @ooo_argv, $_;
+ }
+}
+
+if (!@ooo_argv) {
+ my $arg;
+ if ($0 =~ m/\/oo(calc|draw|impress|math|web|writer|base)$BinSuffix$/) {
+ $arg = "-$1";
+ } elsif ($0 =~ m/\/oofromtemplate$BinSuffix$/) {
+ $arg = "slot:5500";
+ }
+
+ if ($arg) {
+ push @ooo_argv, "$arg";
+ $Debug && print "Append arg: $arg\n";
+ }
+} else {
+ $Debug && print "Ignoring type - since have filenames\n";
+}
+
+if (defined $widgets_set) {
+ $ENV{SAL_USE_VCLPLUGIN} = $widgets_set;
+}
+
+# overcome ghastly up-stream evilness
+$ENV{SAL_NOEXPANDFPICKER}='TRUE';
+
+if ($session_quickstart) {
+ $Debug && print "Execute quickstarter\n";
+ push @ooo_argv, '-quickstart';
+}
+
+# FIXME: the following two fixes should be done by OOo itself
+# create the user config directory with safe rights 700 if it we find
+# the right path and the directory does not exist
+if (open BOOTSTRAPRC, "$SystemInstallDir/program/bootstraprc") {
+ while (my $line = <BOOTSTRAPRC>) {
+ chomp $line;
+ if (($line =~ m/^\s*UserInstallation\s*=\s*([^\s]*)\s*$/) && ($1)) {
+ my $userConfDir=$1;
+ $userConfDir =~ s|\$SYSUSERCONFIG|$ENV{HOME}|;
+ $userConfDir =~ s|file://||;
+ mkdir ($userConfDir,0700) unless (-d $userConfDir);
+ last;
+ }
+ }
+ close BOOTSTRAPRC;
+}
+# touch ~/.recently-used with safe rights 700 if it does not exist
+if (! -f "$ENV{HOME}/.recently-used") {
+ open (RECENTLY_USED, ">$ENV{HOME}/.recently-used") &&
+ close RECENTLY_USED &&
+ chmod 0600, "$ENV{HOME}/.recently-used";
+}
+
+if (!(-f '/proc/version')) {
+ print STDERR "\n\n --- Warning - OO.o will not work without a mounted /proc filesystem --- \n\n\n";
+}
+
+# Clear PYTHONPATH, otherwise Python scripting does not work
+delete $ENV{'PYTHONPATH'};
+
+# And here we go.
+exec "$SystemInstallDir/program/soffice", @ooo_argv
diff --git a/app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc3 b/app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc3
new file mode 100644
index 000000000000..1274ef399ec1
--- /dev/null
+++ b/app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc3
@@ -0,0 +1,183 @@
+MD5 0b15419de7e4749ccf155dc5001ee1bc OOo_2.0.3rc3_060519_LinuxIntel_install.tar.gz 125995369
+RMD160 82f73aca61c365bc62e367bd087f90d4dca19f47 OOo_2.0.3rc3_060519_LinuxIntel_install.tar.gz 125995369
+SHA256 5b7bc600a2bb43f2cde79ae59c9c29859642ee3e51fc5084b34d0f0ac8d1625d OOo_2.0.3rc3_060519_LinuxIntel_install.tar.gz 125995369
+MD5 557b28e8e988e8da1b522cd6ed4cdf49 OOo_2.0.3rc3_060519_LinuxIntel_langpack_af.tar.gz 13348003
+RMD160 017f68cd03e0f35d2d727a883da7675f3f0ccd3e OOo_2.0.3rc3_060519_LinuxIntel_langpack_af.tar.gz 13348003
+SHA256 73642bfc8c98f25443fb098b22e2b7c569ca844b520b5e650d03b4e8fc3be0f5 OOo_2.0.3rc3_060519_LinuxIntel_langpack_af.tar.gz 13348003
+MD5 6a4e109ed3459e86a4ee2b96493d4ae7 OOo_2.0.3rc3_060519_LinuxIntel_langpack_as-IN.tar.gz 13412294
+RMD160 e160bd70ff259192c1b0a2275c528e0e1870a6e9 OOo_2.0.3rc3_060519_LinuxIntel_langpack_as-IN.tar.gz 13412294
+SHA256 57ccc32741d2bd52cf62a7fcfce886479df83aa1e8de391018b6c563ceba5ea6 OOo_2.0.3rc3_060519_LinuxIntel_langpack_as-IN.tar.gz 13412294
+MD5 378ac163500ebe6e0f52c3bddef6a0de OOo_2.0.3rc3_060519_LinuxIntel_langpack_be-BY.tar.gz 13412796
+RMD160 1f8ba0de49caaf2325ae8a469e7b9105222d9d6d OOo_2.0.3rc3_060519_LinuxIntel_langpack_be-BY.tar.gz 13412796
+SHA256 4d639a2a7632c2d51d4afca106c48bae7bbb004233d02f0a0a3b841dec5941fa OOo_2.0.3rc3_060519_LinuxIntel_langpack_be-BY.tar.gz 13412796
+MD5 fc7cdb296c14f51c774605c147dbbbfd OOo_2.0.3rc3_060519_LinuxIntel_langpack_bg.tar.gz 14348399
+RMD160 97f14c2ef63e25d203f0a3cec585493f59441de0 OOo_2.0.3rc3_060519_LinuxIntel_langpack_bg.tar.gz 14348399
+SHA256 c2ec079297bb7769734c1dddf2592f1f06ced0a061165d61b12660d5bdf783db OOo_2.0.3rc3_060519_LinuxIntel_langpack_bg.tar.gz 14348399
+MD5 67513a5a98cca16f093eaa10c77ecbc6 OOo_2.0.3rc3_060519_LinuxIntel_langpack_bs.tar.gz 13342185
+RMD160 c9e015f585fc0db73c8d822790cd8f423f040c3d OOo_2.0.3rc3_060519_LinuxIntel_langpack_bs.tar.gz 13342185
+SHA256 bd74f8ab13c7b43a436e5e749e3f3f11273c2462122e5a8881d73c7ddaeea6d3 OOo_2.0.3rc3_060519_LinuxIntel_langpack_bs.tar.gz 13342185
+MD5 4c93197f49cf873d0acde3dfa59d695b OOo_2.0.3rc3_060519_LinuxIntel_langpack_ca.tar.gz 13378473
+RMD160 213570ac0aa79ee20a8786c408b84d5ad5e52d03 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ca.tar.gz 13378473
+SHA256 bd776b2ccda40a0853b69933fbbb2e0f0f371ddbcf544bc9e67b9ebad6789c96 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ca.tar.gz 13378473
+MD5 70e9087516ae8989f825152e49ebdf01 OOo_2.0.3rc3_060519_LinuxIntel_langpack_cs.tar.gz 14000210
+RMD160 2f68a5c89335e6628fe49cb8a525b78783e833d3 OOo_2.0.3rc3_060519_LinuxIntel_langpack_cs.tar.gz 14000210
+SHA256 0640e1bf06051f521f60b1e78c468d46f269bf54b8d858c7686282f5f1b6d535 OOo_2.0.3rc3_060519_LinuxIntel_langpack_cs.tar.gz 14000210
+MD5 9b81b0732f39b0efcdf4cb6d00e94d95 OOo_2.0.3rc3_060519_LinuxIntel_langpack_cy.tar.gz 13321478
+RMD160 d7cfebd03e9f40fb8cdc3c178100902521caa370 OOo_2.0.3rc3_060519_LinuxIntel_langpack_cy.tar.gz 13321478
+SHA256 fb820c80488f81b6f05b53cb3f19f7d38c4443e161fda4157606ff219e4be01a OOo_2.0.3rc3_060519_LinuxIntel_langpack_cy.tar.gz 13321478
+MD5 453a45b23f03ab035c4382a6f80f4034 OOo_2.0.3rc3_060519_LinuxIntel_langpack_da.tar.gz 13908397
+RMD160 1caa1b4d5d5486bcee70aed56b884c7268182cd8 OOo_2.0.3rc3_060519_LinuxIntel_langpack_da.tar.gz 13908397
+SHA256 01e5ceb15b4efa1da59726fcfdfb9e9c64e662bde46e83cf54073a74ca9c0995 OOo_2.0.3rc3_060519_LinuxIntel_langpack_da.tar.gz 13908397
+MD5 9e43395c3e64d4491ec5b89c074d4be8 OOo_2.0.3rc3_060519_LinuxIntel_langpack_de.tar.gz 14844941
+RMD160 6c9417f22a7c76f05cf83d384d9ab028e7882594 OOo_2.0.3rc3_060519_LinuxIntel_langpack_de.tar.gz 14844941
+SHA256 a82206ddbf72f1cfccca0acaf6f240f1c0a4a79b3bd5396b2e47279f45966378 OOo_2.0.3rc3_060519_LinuxIntel_langpack_de.tar.gz 14844941
+MD5 45a30720b6bc8d076259f47befa0ec49 OOo_2.0.3rc3_060519_LinuxIntel_langpack_el.tar.gz 13950697
+RMD160 ae08693dcd4a1f50c341e40eb4e236361fa11929 OOo_2.0.3rc3_060519_LinuxIntel_langpack_el.tar.gz 13950697
+SHA256 6c73acbadb2a0aea20ad1f29ce002f994ed825552b0160da3fb24432ea062270 OOo_2.0.3rc3_060519_LinuxIntel_langpack_el.tar.gz 13950697
+MD5 67323d539bef0d6339b6e262657ea014 OOo_2.0.3rc3_060519_LinuxIntel_langpack_en-GB.tar.gz 13410695
+RMD160 e7444df3aa6e25bf46be020e0c56f2335d642323 OOo_2.0.3rc3_060519_LinuxIntel_langpack_en-GB.tar.gz 13410695
+SHA256 ab84ce7544bbe9f94e520d9435fe22df2bf22f86ef54aaf30b41d8fb89ea32bb OOo_2.0.3rc3_060519_LinuxIntel_langpack_en-GB.tar.gz 13410695
+MD5 e31f561034012bc44274c22839b0ad20 OOo_2.0.3rc3_060519_LinuxIntel_langpack_en-ZA.tar.gz 13366157
+RMD160 267c66e0ccc5ce8781102488327c5b11d09445aa OOo_2.0.3rc3_060519_LinuxIntel_langpack_en-ZA.tar.gz 13366157
+SHA256 6bd225bc53daecddc1e8deb8bdbe1e347f64a03cd38395871968f64060a2a900 OOo_2.0.3rc3_060519_LinuxIntel_langpack_en-ZA.tar.gz 13366157
+MD5 36ff5f1146f0ae2391afe7c3061328b9 OOo_2.0.3rc3_060519_LinuxIntel_langpack_es.tar.gz 14157892
+RMD160 16164155519348b9ed88c5fd8f11e41e06cf4aa7 OOo_2.0.3rc3_060519_LinuxIntel_langpack_es.tar.gz 14157892
+SHA256 b9f7a938d60439ca30139157865e1f874788865c1148bbfc3eff1337890a7373 OOo_2.0.3rc3_060519_LinuxIntel_langpack_es.tar.gz 14157892
+MD5 d38f53a39f6ca5399dff040ea48329c3 OOo_2.0.3rc3_060519_LinuxIntel_langpack_et.tar.gz 14094716
+RMD160 baeadbc9906594c10b3a41dfba2249b533615d58 OOo_2.0.3rc3_060519_LinuxIntel_langpack_et.tar.gz 14094716
+SHA256 55025fd1d2bc1c6bca75a19541188ded52eb030a8612c6cfd6ba49fe50bca57f OOo_2.0.3rc3_060519_LinuxIntel_langpack_et.tar.gz 14094716
+MD5 1ff7ec03dd1fa95858b3e3525ac7c42d OOo_2.0.3rc3_060519_LinuxIntel_langpack_fa.tar.gz 13409864
+RMD160 863433d62e4a6b1420293ecabdeb02cfc32e69a5 OOo_2.0.3rc3_060519_LinuxIntel_langpack_fa.tar.gz 13409864
+SHA256 3db8197c4a07893c058a87b1811265d0e9c5ab455d53b2139b896f990956eae9 OOo_2.0.3rc3_060519_LinuxIntel_langpack_fa.tar.gz 13409864
+MD5 d311321fbf39618bd9869c4de987c9f8 OOo_2.0.3rc3_060519_LinuxIntel_langpack_fi.tar.gz 13369510
+RMD160 a974432ba6514223c06321cb748238833a0e7a10 OOo_2.0.3rc3_060519_LinuxIntel_langpack_fi.tar.gz 13369510
+SHA256 77c5003d1dc9d5fcbcb32233637f74260dd18b5c59f08dcac19beb77a24dc9a4 OOo_2.0.3rc3_060519_LinuxIntel_langpack_fi.tar.gz 13369510
+MD5 e1495aeac64fbb8f0521831cc2519dd7 OOo_2.0.3rc3_060519_LinuxIntel_langpack_fr.tar.gz 14390336
+RMD160 523a4e1e38f19b4162073bdc4b8875ee0f782e25 OOo_2.0.3rc3_060519_LinuxIntel_langpack_fr.tar.gz 14390336
+SHA256 4496fbcb83727843e30f48c03771fb48c87fa2e9772cdde065c2c9eb432d8864 OOo_2.0.3rc3_060519_LinuxIntel_langpack_fr.tar.gz 14390336
+MD5 85d91c8628d2e298055c09447b3a2670 OOo_2.0.3rc3_060519_LinuxIntel_langpack_gu-IN.tar.gz 13422661
+RMD160 126e57e6316eaeb55eba067fafb6a3e3749fd917 OOo_2.0.3rc3_060519_LinuxIntel_langpack_gu-IN.tar.gz 13422661
+SHA256 7d6a69a37888fa130cc0a1d57c7bd36239c05459ccb3e52461913e73fbf974f9 OOo_2.0.3rc3_060519_LinuxIntel_langpack_gu-IN.tar.gz 13422661
+MD5 f0119e3606c19cd9bc2373664277090d OOo_2.0.3rc3_060519_LinuxIntel_langpack_he.tar.gz 13379305
+RMD160 1396dd103197537614a474a6e835564e2a8a2053 OOo_2.0.3rc3_060519_LinuxIntel_langpack_he.tar.gz 13379305
+SHA256 1103b4328185c765fe0e4bfa3218f7923c04e5639be536fad5a3fd3aec61f6b2 OOo_2.0.3rc3_060519_LinuxIntel_langpack_he.tar.gz 13379305
+MD5 715e3b10761c0d339ee8571a10a60003 OOo_2.0.3rc3_060519_LinuxIntel_langpack_hi-IN.tar.gz 13484761
+RMD160 5b89bc91da781a41e7653d10caaab5256e6eff07 OOo_2.0.3rc3_060519_LinuxIntel_langpack_hi-IN.tar.gz 13484761
+SHA256 e6d5b9b357fcb1b70e53514ee210bded2afb2dd9fba63435eb554751d1237252 OOo_2.0.3rc3_060519_LinuxIntel_langpack_hi-IN.tar.gz 13484761
+MD5 60b1b6931103c5383063d5512eecce69 OOo_2.0.3rc3_060519_LinuxIntel_langpack_hr.tar.gz 13656374
+RMD160 98e8613482ba89f02fd3fa1159c779916c20ae61 OOo_2.0.3rc3_060519_LinuxIntel_langpack_hr.tar.gz 13656374
+SHA256 9484f4839ac4d0b4265b1c05682118d2505ad759eabe1665efe190cfeafcb6d0 OOo_2.0.3rc3_060519_LinuxIntel_langpack_hr.tar.gz 13656374
+MD5 aacfe63f9c70cbecedcb3c2d7c44f712 OOo_2.0.3rc3_060519_LinuxIntel_langpack_hu.tar.gz 14738581
+RMD160 f558b666712eb3fcafff94b478603d7b5bfd789b OOo_2.0.3rc3_060519_LinuxIntel_langpack_hu.tar.gz 14738581
+SHA256 73227bca0d4c67ee3e0acbc6e72b51ce88c86653f23c6806165ad3d1d7829e72 OOo_2.0.3rc3_060519_LinuxIntel_langpack_hu.tar.gz 14738581
+MD5 8d28b93c54dc74417a84a6230553598e OOo_2.0.3rc3_060519_LinuxIntel_langpack_it.tar.gz 14162548
+RMD160 3f4b970d1de0ac8a99e5242a0e73b9b8be63d84e OOo_2.0.3rc3_060519_LinuxIntel_langpack_it.tar.gz 14162548
+SHA256 87ee2582f9715dfb9b612265c2eb24086b1f4054a32ec0710b7a2dd6026baa7c OOo_2.0.3rc3_060519_LinuxIntel_langpack_it.tar.gz 14162548
+MD5 031998cfca46aacaac8351ebecebf9ee OOo_2.0.3rc3_060519_LinuxIntel_langpack_ja.tar.gz 14939399
+RMD160 cdc283e150956efefb37ab789564d8737b51ebef OOo_2.0.3rc3_060519_LinuxIntel_langpack_ja.tar.gz 14939399
+SHA256 1f6be8aa159b0e8818a64b6ee69f1b7a2ac4a90c8e99890da0fc398b4822c3c9 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ja.tar.gz 14939399
+MD5 309a7d0f11e7c564e41dab6f503a8954 OOo_2.0.3rc3_060519_LinuxIntel_langpack_km.tar.gz 16670835
+RMD160 09442eb30642e9b41d781f9b61e129bff0c7f629 OOo_2.0.3rc3_060519_LinuxIntel_langpack_km.tar.gz 16670835
+SHA256 3446437c486e0870179332ac6a5916a9e285dbc4fcb9dd826116016c419097fc OOo_2.0.3rc3_060519_LinuxIntel_langpack_km.tar.gz 16670835
+MD5 585213192e8b371e3b50a9532e74c046 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ko.tar.gz 14069812
+RMD160 5d1fe3baeb3fadcd27258aca6709d6967739fc0e OOo_2.0.3rc3_060519_LinuxIntel_langpack_ko.tar.gz 14069812
+SHA256 aaf6cf41314ea97e8f313c6e51ea867a0f8001fceb4caab49544132fae481e93 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ko.tar.gz 14069812
+MD5 42f064edc95932b87a8544ea341e975f OOo_2.0.3rc3_060519_LinuxIntel_langpack_lt.tar.gz 13345546
+RMD160 76de9ea5a8cef48f90c8cfc0ef75063d073104c9 OOo_2.0.3rc3_060519_LinuxIntel_langpack_lt.tar.gz 13345546
+SHA256 4336bbfe4d83163c7376e23e22d2d64bd3032028078e00d2df7efcb74c026fc1 OOo_2.0.3rc3_060519_LinuxIntel_langpack_lt.tar.gz 13345546
+MD5 0c4856dfc1fe88429e837c93ac6e613e OOo_2.0.3rc3_060519_LinuxIntel_langpack_mk.tar.gz 14203342
+RMD160 559f9919bdeb0805db7aa437cd1433a0ee3a6530 OOo_2.0.3rc3_060519_LinuxIntel_langpack_mk.tar.gz 14203342
+SHA256 5e2d4f443895e6f1458047738c2e6cf2a93eb52cabd1fae1cd448f2c6525f291 OOo_2.0.3rc3_060519_LinuxIntel_langpack_mk.tar.gz 14203342
+MD5 cf934828e82d3a0cd654df85790c6b8c OOo_2.0.3rc3_060519_LinuxIntel_langpack_ml-IN.tar.gz 13422808
+RMD160 b62efa8179dc13e29dc16a847deb17af8e64f4f9 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ml-IN.tar.gz 13422808
+SHA256 207a9fe44b8c7e7659b460f70303f07fe0cd6f600fdc4e7e029e45ced37d8bde OOo_2.0.3rc3_060519_LinuxIntel_langpack_ml-IN.tar.gz 13422808
+MD5 9a7292734ccf726dea2354b2a0cbb7c1 OOo_2.0.3rc3_060519_LinuxIntel_langpack_mr-IN.tar.gz 13424893
+RMD160 70d0e680b5fd29141ff5a66f20b67b2594209114 OOo_2.0.3rc3_060519_LinuxIntel_langpack_mr-IN.tar.gz 13424893
+SHA256 536444f3b00a364ac5820aeb99183f24d7ea68929e791b7c91454907bb656648 OOo_2.0.3rc3_060519_LinuxIntel_langpack_mr-IN.tar.gz 13424893
+MD5 9aa5934b28df1cb08a065e4038cfc131 OOo_2.0.3rc3_060519_LinuxIntel_langpack_nb.tar.gz 13347241
+RMD160 a52cd4ee0709111ab571e13a9b5cafe9747cefb8 OOo_2.0.3rc3_060519_LinuxIntel_langpack_nb.tar.gz 13347241
+SHA256 a8c051c4711fd1d895a22bf01e4a2128a5264d6f12fa138dab65ef90ca703f4e OOo_2.0.3rc3_060519_LinuxIntel_langpack_nb.tar.gz 13347241
+MD5 07e141c9cb151a1985e814b125535fb9 OOo_2.0.3rc3_060519_LinuxIntel_langpack_nl.tar.gz 14412152
+RMD160 dfd7324e1b9510a15fa4faabbe2c52d9533b52bc OOo_2.0.3rc3_060519_LinuxIntel_langpack_nl.tar.gz 14412152
+SHA256 18db3f385d6dfa0a3f37ce5fdf8ed0f3c4feec78d862c1f24061fce635adc306 OOo_2.0.3rc3_060519_LinuxIntel_langpack_nl.tar.gz 14412152
+MD5 7b7da26c847ce3af33f9915feb30cb7f OOo_2.0.3rc3_060519_LinuxIntel_langpack_nn.tar.gz 13357149
+RMD160 3792c18a610647c590daebaf7dff3dde0d6d8a67 OOo_2.0.3rc3_060519_LinuxIntel_langpack_nn.tar.gz 13357149
+SHA256 7ad76712c65933029794f331a9868c2f653470aecf54a22f3dcd28235d067eb2 OOo_2.0.3rc3_060519_LinuxIntel_langpack_nn.tar.gz 13357149
+MD5 153f5079f2e0a7af3baefed188375fc1 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ns.tar.gz 13371356
+RMD160 23becee0ae70074f6ca4af265958454b6965f569 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ns.tar.gz 13371356
+SHA256 74acf88b9ad8c02a0800bb2d9a4c07142111f489da08b6be5d0205fe6089de26 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ns.tar.gz 13371356
+MD5 92e4d2a61ff47e9cd7e1b1aa78da0a39 OOo_2.0.3rc3_060519_LinuxIntel_langpack_or-IN.tar.gz 13422267
+RMD160 a580b66401e000e1950b9033b8e9f21419f30d9d OOo_2.0.3rc3_060519_LinuxIntel_langpack_or-IN.tar.gz 13422267
+SHA256 a1baf618cece0de9f27b7244495d9541ed4b8af7a023ecd93437a865454d4b3f OOo_2.0.3rc3_060519_LinuxIntel_langpack_or-IN.tar.gz 13422267
+MD5 a476c1fa249d41b863a3e4ebe2606d18 OOo_2.0.3rc3_060519_LinuxIntel_langpack_pa-IN.tar.gz 13404276
+RMD160 0923c4615bd1f7cae469042b5216fd2950a87e22 OOo_2.0.3rc3_060519_LinuxIntel_langpack_pa-IN.tar.gz 13404276
+SHA256 0a8936b022d989188ae0c2e5370faef494da502a79fad0c0fb1c011df8418b66 OOo_2.0.3rc3_060519_LinuxIntel_langpack_pa-IN.tar.gz 13404276
+MD5 4854b5e2a647327f82d0942912345c01 OOo_2.0.3rc3_060519_LinuxIntel_langpack_pl.tar.gz 14377784
+RMD160 49e27471f7d621e768a6551e3102aaec9ea5e459 OOo_2.0.3rc3_060519_LinuxIntel_langpack_pl.tar.gz 14377784
+SHA256 aacfa27baa7ad68551585c0e05466f780cec67fbc485fba428ee2178b5bfe3a0 OOo_2.0.3rc3_060519_LinuxIntel_langpack_pl.tar.gz 14377784
+MD5 332ecf83a27b3e7481de949c4e18af4a OOo_2.0.3rc3_060519_LinuxIntel_langpack_pt-BR.tar.gz 14200629
+RMD160 e1acc9c6bd96a0a2be4b730dcb55d28be30b68fc OOo_2.0.3rc3_060519_LinuxIntel_langpack_pt-BR.tar.gz 14200629
+SHA256 07fba1b7348295d4d8a88705c58204f8539cde983e308f7d3c5ea73f03cdd29c OOo_2.0.3rc3_060519_LinuxIntel_langpack_pt-BR.tar.gz 14200629
+MD5 cd3d0f624e7f29d2ff6bd89ab6a03ae6 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ru.tar.gz 15496333
+RMD160 58c941f33526149ad608b8a95cb9b47b74171f47 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ru.tar.gz 15496333
+SHA256 4498b1daab1bdf338ac0eb7180f81535a277cd8b746709508ea65570d83772ed OOo_2.0.3rc3_060519_LinuxIntel_langpack_ru.tar.gz 15496333
+MD5 46adb5ca03e8608307b4348f09f948ed OOo_2.0.3rc3_060519_LinuxIntel_langpack_rw.tar.gz 13693306
+RMD160 8aba36b812922a311ce6c2bdb09cbd8df1aacbe6 OOo_2.0.3rc3_060519_LinuxIntel_langpack_rw.tar.gz 13693306
+SHA256 0df0914a53fa16ca2f6172be8bd9177448349cc21fe622082f8cd652a0ce1326 OOo_2.0.3rc3_060519_LinuxIntel_langpack_rw.tar.gz 13693306
+MD5 b7d4cb376925d6244894587163e64a14 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sh-YU.tar.gz 13344421
+RMD160 150b281fa17236baaaa9a7022a0a2dff6bad94cc OOo_2.0.3rc3_060519_LinuxIntel_langpack_sh-YU.tar.gz 13344421
+SHA256 416428e540294f59a1538e5be333f7468d8972744c34daa6d58bc6dc50f09c56 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sh-YU.tar.gz 13344421
+MD5 678a3ee797883b8916911db1f594bdd3 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sk.tar.gz 14050979
+RMD160 0efd958c7b960094d39eabce04d4c4908619b3c3 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sk.tar.gz 14050979
+SHA256 1341469f46779945baf501711a0597fc00252e29b4349bbbecdf86402a5c07ad OOo_2.0.3rc3_060519_LinuxIntel_langpack_sk.tar.gz 14050979
+MD5 cc01cfd0e138aa3c49dfeaa21fc6c794 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sl.tar.gz 13805635
+RMD160 affa9f58661a1f0f8c3e1a639c4cc0be8e8e58d0 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sl.tar.gz 13805635
+SHA256 136d87f5927fecb521165e009cdfa81bd4ba1508b7f3fee7628b23ec8adcf19e OOo_2.0.3rc3_060519_LinuxIntel_langpack_sl.tar.gz 13805635
+MD5 f86d0af4a7c90e875886753af39a55cf OOo_2.0.3rc3_060519_LinuxIntel_langpack_sr-CS.tar.gz 13416897
+RMD160 14a9fe7ea63e20aa1076832d5e33cacc4c3f5d6e OOo_2.0.3rc3_060519_LinuxIntel_langpack_sr-CS.tar.gz 13416897
+SHA256 882a5f6ea0b834b08c41b1329d5cfe212b53aa9e34b57d39c23e1d5f4fa909c0 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sr-CS.tar.gz 13416897
+MD5 a6cd96b2e9ad430200ef50b3806cad6d OOo_2.0.3rc3_060519_LinuxIntel_langpack_st.tar.gz 13361418
+RMD160 bb16c27c19907396e9276093c7ec6a9bb4724eca OOo_2.0.3rc3_060519_LinuxIntel_langpack_st.tar.gz 13361418
+SHA256 1d4107161e8359511e3ecf97c0079f44e309ffa2cff1d96094e90b550857627e OOo_2.0.3rc3_060519_LinuxIntel_langpack_st.tar.gz 13361418
+MD5 172555faa6c140809028fa32cb253cf7 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sv.tar.gz 13875385
+RMD160 974efd944f94ee9a8772beedf9800d7aaf9c5d97 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sv.tar.gz 13875385
+SHA256 7bbbf1e899c64a5cee4910518f5b5a87d377f27b7de6e852540bec608ac01f1c OOo_2.0.3rc3_060519_LinuxIntel_langpack_sv.tar.gz 13875385
+MD5 72761616409358f2f89775f082e1b46e OOo_2.0.3rc3_060519_LinuxIntel_langpack_sw-TZ.tar.gz 13492027
+RMD160 c4a5011db0b6d4ad93892e94f226fdd89b6007b7 OOo_2.0.3rc3_060519_LinuxIntel_langpack_sw-TZ.tar.gz 13492027
+SHA256 d029b4dc874ec5cf30161972b0c542c2d7d9ca97a51e9984bbe0e9bfadedbecc OOo_2.0.3rc3_060519_LinuxIntel_langpack_sw-TZ.tar.gz 13492027
+MD5 2acc10b9096636a4909a131971ca0ca8 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ta-IN.tar.gz 13382181
+RMD160 e33cbe113b1445490cbf575569a37d306cdcdd92 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ta-IN.tar.gz 13382181
+SHA256 2a56fe5453179e217c9dde4927f62c3958448a214d851a318ae6261901c7aeaa OOo_2.0.3rc3_060519_LinuxIntel_langpack_ta-IN.tar.gz 13382181
+MD5 b8f90917ce567b0856e8d43918b577c6 OOo_2.0.3rc3_060519_LinuxIntel_langpack_te-IN.tar.gz 13431441
+RMD160 5d1548e2cf4d6f3e68fe52ca568ab3db8a3a42b0 OOo_2.0.3rc3_060519_LinuxIntel_langpack_te-IN.tar.gz 13431441
+SHA256 9858ca77851639c7dafd9a89c1d280c00467bd306f81a029f00cedeb36ccab1d OOo_2.0.3rc3_060519_LinuxIntel_langpack_te-IN.tar.gz 13431441
+MD5 cad82ef25fcdcdeacb1be2b83f426e8d OOo_2.0.3rc3_060519_LinuxIntel_langpack_tg.tar.gz 13410126
+RMD160 62568b25b6b5d506cf083c3b4cb240304d67ab0a OOo_2.0.3rc3_060519_LinuxIntel_langpack_tg.tar.gz 13410126
+SHA256 fd1655ffdb2d30e619a3f8bd1f9c2029afdf571b2b5dc5fc77ff67b8ec11dc76 OOo_2.0.3rc3_060519_LinuxIntel_langpack_tg.tar.gz 13410126
+MD5 80f6d300c420c4a602254301ed292cfc OOo_2.0.3rc3_060519_LinuxIntel_langpack_th.tar.gz 13803320
+RMD160 8561097d33687c165a279dbedcd22e843f31a936 OOo_2.0.3rc3_060519_LinuxIntel_langpack_th.tar.gz 13803320
+SHA256 5023fe34aa09f63be75960ef9b2b08dee288bea2a5b315d1c2d5ae4ea7652611 OOo_2.0.3rc3_060519_LinuxIntel_langpack_th.tar.gz 13803320
+MD5 f85384e7af0b4bc22b9286ce8c36a803 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ti-ER.tar.gz 13311786
+RMD160 308df0d3792659876ef5d5ec76423dd4b64f0086 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ti-ER.tar.gz 13311786
+SHA256 2561697e452d50d12d4da2dd064e626bc5be1f7bdf35ffae03c0e4fbd91873f5 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ti-ER.tar.gz 13311786
+MD5 eb451d843d89594175c386f9ccc962fb OOo_2.0.3rc3_060519_LinuxIntel_langpack_tr.tar.gz 13638057
+RMD160 0eb109f6edba65d49be16fd91d2837c6d5a3e9af OOo_2.0.3rc3_060519_LinuxIntel_langpack_tr.tar.gz 13638057
+SHA256 d13b41d16d3121bb7504f0caf35e2c12b96843e2318d47bf8367650a6f5420a2 OOo_2.0.3rc3_060519_LinuxIntel_langpack_tr.tar.gz 13638057
+MD5 d6b3d86e5f6d3d899bb9db4db9c2be97 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ur-IN.tar.gz 13411079
+RMD160 a0f7314fa212f49e56c78a5274a032a6741c4361 OOo_2.0.3rc3_060519_LinuxIntel_langpack_ur-IN.tar.gz 13411079
+SHA256 4a95a4418d4f429ffc3421f3ee6dc2a8e0e92e1b4d53bcf93c923f29c8ba6f4f OOo_2.0.3rc3_060519_LinuxIntel_langpack_ur-IN.tar.gz 13411079
+MD5 8bcf5a615fd2bfaabf6734e9206b04b6 OOo_2.0.3rc3_060519_LinuxIntel_langpack_vi.tar.gz 13351453
+RMD160 44008101f2e89936469b46183b3f321444533b58 OOo_2.0.3rc3_060519_LinuxIntel_langpack_vi.tar.gz 13351453
+SHA256 07cf34c581cfb59a715de8b2ff36fd277f1c13abf2a074573dd6ad14a8afbe96 OOo_2.0.3rc3_060519_LinuxIntel_langpack_vi.tar.gz 13351453
+MD5 ab7b4a035d1f54ed8b6946d1f4d34095 OOo_2.0.3rc3_060519_LinuxIntel_langpack_xh.tar.gz 13443407
+RMD160 1843a33a472c7a6f06a0d0401c8bc5fc6179dbc8 OOo_2.0.3rc3_060519_LinuxIntel_langpack_xh.tar.gz 13443407
+SHA256 d3ac278693cd7215f520947e007e11c3689cba676a35c368eaa3ffb3dc03a94a OOo_2.0.3rc3_060519_LinuxIntel_langpack_xh.tar.gz 13443407
+MD5 2ddc3a24d8652c29cf103892e0546b71 OOo_2.0.3rc3_060519_LinuxIntel_langpack_zh-CN.tar.gz 14228398
+RMD160 b92109302610d016c5228365c4d5f371e2405d6d OOo_2.0.3rc3_060519_LinuxIntel_langpack_zh-CN.tar.gz 14228398
+SHA256 cc4ea5fffe48ea6392091dae3ca2a5cdc6a6a255defccb1be6c38be69bc7af81 OOo_2.0.3rc3_060519_LinuxIntel_langpack_zh-CN.tar.gz 14228398
+MD5 171f61358a062184b96331fdf741d5c7 OOo_2.0.3rc3_060519_LinuxIntel_langpack_zh-TW.tar.gz 14383360
+RMD160 16d84339e2ddb6d7577df9d2e14b544f8c7cebec OOo_2.0.3rc3_060519_LinuxIntel_langpack_zh-TW.tar.gz 14383360
+SHA256 e1be0bd6010dc51d0c960536b03d66512ba6854cb32421a45cca155f77e7b483 OOo_2.0.3rc3_060519_LinuxIntel_langpack_zh-TW.tar.gz 14383360
+MD5 9c2afa1a77929e8a7cf2d92d7cf5245f OOo_2.0.3rc3_060519_LinuxIntel_langpack_zu.tar.gz 13406686
+RMD160 3a30f74745c50a7a15f4b8af5814edb036157f8b OOo_2.0.3rc3_060519_LinuxIntel_langpack_zu.tar.gz 13406686
+SHA256 c325ddaedcd197e8a2ab3c330c41e12565243a9a4a37a9100278c41b2cb82f40 OOo_2.0.3rc3_060519_LinuxIntel_langpack_zu.tar.gz 13406686
diff --git a/app-office/openoffice-bin/openoffice-bin-2.0.3_rc3.ebuild b/app-office/openoffice-bin/openoffice-bin-2.0.3_rc3.ebuild
new file mode 100644
index 000000000000..be5c60d01065
--- /dev/null
+++ b/app-office/openoffice-bin/openoffice-bin-2.0.3_rc3.ebuild
@@ -0,0 +1,195 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/openoffice-bin-2.0.3_rc3.ebuild,v 1.1 2006/05/24 09:11:39 suka Exp $
+
+inherit eutils fdo-mime rpm multilib
+
+IUSE="gnome java"
+
+MY_PV="${PV/_/}"
+MY_PV2="${MY_PV}_060519"
+MY_PV3="${PV/_rc3/}-3"
+MILESTONE="OOC680_m3"
+PACKED="${MILESTONE}_native_packed-1"
+BUILDID="9031"
+S="${WORKDIR}/${PACKED}_en-US.${BUILDID}/RPMS"
+DESCRIPTION="OpenOffice productivity suite"
+
+LANGPACK="OOo_${MY_PV2}_LinuxIntel_langpack"
+LANGPACKPATH="http://oootranslation.services.openoffice.org/pub/OpenOffice.org/${MY_PV}/${LANGPACK}"
+LANGSUFFIX="${MY_PV3}.i586.tar.gz"
+
+SRC_URI="mirror://openoffice/contrib/rc/${MY_PV}/OOo_${MY_PV2}_LinuxIntel_install.tar.gz
+ linguas_af? ( ${LANGPACKPATH}_af.tar.gz )
+ linguas_as_IN? ( ${LANGPACKPATH}_as-IN.tar.gz )
+ linguas_be_BY? ( ${LANGPACKPATH}_be-BY.tar.gz )
+ linguas_bg? ( ${LANGPACKPATH}_bg.tar.gz )
+ linguas_bs? ( ${LANGPACKPATH}_bs.tar.gz )
+ linguas_ca? ( ${LANGPACKPATH}_ca.tar.gz )
+ linguas_cs? ( ${LANGPACKPATH}_cs.tar.gz )
+ linguas_cy? ( ${LANGPACKPATH}_cy.tar.gz )
+ linguas_da? ( ${LANGPACKPATH}_da.tar.gz )
+ linguas_de? ( ${LANGPACKPATH}_de.tar.gz )
+ linguas_el? ( ${LANGPACKPATH}_el.tar.gz )
+ linguas_en_GB? ( ${LANGPACKPATH}_en-GB.tar.gz )
+ linguas_en_ZA? ( ${LANGPACKPATH}_en-ZA.tar.gz )
+ linguas_es? ( ${LANGPACKPATH}_es.tar.gz )
+ linguas_et? ( ${LANGPACKPATH}_et.tar.gz )
+ linguas_fa? ( ${LANGPACKPATH}_fa.tar.gz )
+ linguas_fi? ( ${LANGPACKPATH}_fi.tar.gz )
+ linguas_fr? ( ${LANGPACKPATH}_fr.tar.gz )
+ linguas_gu_IN? ( ${LANGPACKPATH}_gu-IN.tar.gz )
+ linguas_he? ( ${LANGPACKPATH}_he.tar.gz )
+ linguas_hi_IN? ( ${LANGPACKPATH}_hi-IN.tar.gz )
+ linguas_hr? ( ${LANGPACKPATH}_hr.tar.gz )
+ linguas_hu? ( ${LANGPACKPATH}_hu.tar.gz )
+ linguas_it? ( ${LANGPACKPATH}_it.tar.gz )
+ linguas_ja? ( ${LANGPACKPATH}_ja.tar.gz )
+ linguas_km? ( ${LANGPACKPATH}_km.tar.gz )
+ linguas_ko? ( ${LANGPACKPATH}_ko.tar.gz )
+ linguas_lt? ( ${LANGPACKPATH}_lt.tar.gz )
+ linguas_mk? ( ${LANGPACKPATH}_mk.tar.gz )
+ linguas_ml_IN? ( ${LANGPACKPATH}_ml-IN.tar.gz )
+ linguas_mr_IN? ( ${LANGPACKPATH}_mr-IN.tar.gz )
+ linguas_nb? ( ${LANGPACKPATH}_nb.tar.gz )
+ linguas_nl? ( ${LANGPACKPATH}_nl.tar.gz )
+ linguas_nn? ( ${LANGPACKPATH}_nn.tar.gz )
+ linguas_ns? ( ${LANGPACKPATH}_ns.tar.gz )
+ linguas_or_IN? ( ${LANGPACKPATH}_or-IN.tar.gz )
+ linguas_pa_IN? ( ${LANGPACKPATH}_pa-IN.tar.gz )
+ linguas_pl? ( ${LANGPACKPATH}_pl.tar.gz )
+ linguas_pt_BR? ( ${LANGPACKPATH}_pt-BR.tar.gz )
+ linguas_ru? ( ${LANGPACKPATH}_ru.tar.gz )
+ linguas_rw? ( ${LANGPACKPATH}_rw.tar.gz )
+ linguas_sh_YU? ( ${LANGPACKPATH}_sh-YU.tar.gz )
+ linguas_sk? ( ${LANGPACKPATH}_sk.tar.gz )
+ linguas_sl? ( ${LANGPACKPATH}_sl.tar.gz )
+ linguas_sr_CS? ( ${LANGPACKPATH}_sr-CS.tar.gz )
+ linguas_st? ( ${LANGPACKPATH}_st.tar.gz )
+ linguas_sv? ( ${LANGPACKPATH}_sv.tar.gz )
+ linguas_sw_TZ? ( ${LANGPACKPATH}_sw-TZ.tar.gz )
+ linguas_ta_IN? ( ${LANGPACKPATH}_ta-IN.tar.gz )
+ linguas_te_IN? ( ${LANGPACKPATH}_te-IN.tar.gz )
+ linguas_tg? ( ${LANGPACKPATH}_tg.tar.gz )
+ linguas_th? ( ${LANGPACKPATH}_th.tar.gz )
+ linguas_ti_ER? ( ${LANGPACKPATH}_ti-ER.tar.gz )
+ linguas_tr? ( ${LANGPACKPATH}_tr.tar.gz )
+ linguas_ur_IN? ( ${LANGPACKPATH}_ur-IN.tar.gz )
+ linguas_vi? ( ${LANGPACKPATH}_vi.tar.gz )
+ linguas_xh? ( ${LANGPACKPATH}_xh.tar.gz )
+ linguas_zh_CN? ( ${LANGPACKPATH}_zh-CN.tar.gz )
+ linguas_zh_TW? ( ${LANGPACKPATH}_zh-TW.tar.gz )
+ linguas_zu? ( ${LANGPACKPATH}_zu.tar.gz )"
+
+HOMEPAGE="http://www.openoffice.org/"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="!app-office/openoffice
+ || ( x11-libs/libXaw virtual/x11 )
+ sys-libs/glibc
+ >=dev-lang/perl-5.0
+ app-arch/zip
+ app-arch/unzip
+ java? ( !amd64? ( >=virtual/jre-1.4.1 )
+ amd64? ( app-emulation/emul-linux-x86-java ) )
+ amd64? ( >=app-emulation/emul-linux-x86-xlibs-1.0 )
+ linguas_ja? ( >=media-fonts/kochi-substitute-20030809-r3 )
+ linguas_zh_CN? ( >=media-fonts/arphicfonts-0.1-r2 )
+ linguas_zh_TW? ( >=media-fonts/arphicfonts-0.1-r2 )"
+
+DEPEND="${RDEPEND}
+ sys-apps/findutils"
+
+PROVIDE="virtual/ooo"
+
+src_unpack() {
+
+ unpack ${A}
+
+ for i in base calc core01 core02 core03 core03u core04 core04u core05 core05u core06 core07 core08 core09 core10 draw emailmerge impress math writer graphicfilter pyuno testtool xsltfilter ; do
+ rpm_unpack ${S}/openoffice.org-${i}-${MY_PV3}.i586.rpm
+ done
+
+ rpm_unpack ${S}/desktop-integration/openoffice.org-freedesktop-menus-2.0.3-2.noarch.rpm
+
+ use gnome && rpm_unpack ${S}/openoffice.org-gnome-integration-${MY_PV3}.i586.rpm
+ use java && rpm_unpack ${S}/openoffice.org-javafilter-${MY_PV3}.i586.rpm
+
+ strip-linguas en af as_IN be_BY bg bs ca cs cy da de el en_GB en_ZA es et fa fi fr gu_IN he hi_IN hr hu it ja km ko lt mk ml_IN mr_IN nb nl nn ns or_IN pa_IN pl pt_BR ru rw sh_YU sk sl sr_CS st sv sw_TZ ta_IN te_IN tg th ti_ER tr ur_IN vi xh zh_CN zh_TW zu
+
+ for i in ${LINGUAS}; do
+ i="${i/_/-}"
+ if [ ${i} != "en" ] ; then
+ LANGDIR="${WORKDIR}/${PACKED}_${i}.${BUILDID}/RPMS/"
+ rpm_unpack ${LANGDIR}/openoffice.org-${i}-${MY_PV3}.i586.rpm
+ rpm_unpack ${LANGDIR}/openoffice.org-${i}-help-${MY_PV3}.i586.rpm
+ rpm_unpack ${LANGDIR}/openoffice.org-${i}-res-${MY_PV3}.i586.rpm
+ fi
+ done
+
+}
+
+src_install () {
+
+ #Multilib install dir magic for AMD64
+ has_multilib_profile && ABI=x86
+ INSTDIR="/usr/$(get_libdir)/openoffice"
+
+ einfo "Installing OpenOffice.org into build root..."
+ dodir ${INSTDIR}
+ mv ${WORKDIR}/opt/openoffice.org2.0/* ${D}${INSTDIR}
+
+ #Menu entries, icons and mime-types
+ cd ${D}${INSTDIR}/share/xdg/
+ sed -i -e s/'Exec=openoffice.org-2.0-printeradmin'/'Exec=oopadmin2'/g printeradmin.desktop || die
+
+ for desk in base calc draw impress math printeradmin writer; do
+ mv ${desk}.desktop openoffice.org-2.0-${desk}.desktop
+ sed -i -e s/openoffice.org-2.0/ooffice2/g openoffice.org-2.0-${desk}.desktop || die
+ sed -i -e s/openofficeorg-20-${desk}/ooo-${desk}2/g openoffice.org-2.0-${desk}.desktop || die
+ domenu openoffice.org-2.0-${desk}.desktop
+ insinto /usr/share/pixmaps
+ newins ${WORKDIR}/usr/share/icons/gnome/48x48/apps/openofficeorg-20-${desk}.png ooo-${desk}2.png
+ done
+
+ insinto /usr/share/mime/packages
+ doins ${WORKDIR}/usr/share/mime/packages/openoffice.org.xml
+
+ # Install wrapper script
+ newbin ${FILESDIR}/${PV}/ooo-wrapper2 ooffice2
+ sed -i -e s/PV/${PV}/g ${D}/usr/bin/ooffice2 || die
+ sed -i -e "s|INSTDIR|${INSTDIR}|g" ${D}/usr/bin/ooffice2 || die
+
+ # Component symlinks
+ for app in base calc draw fromtemplate impress math web writer; do
+ dosym ooffice2 /usr/bin/oo${app}2
+ done
+
+ dosym ${INSTDIR}/program/spadmin.bin /usr/bin/oopadmin2
+
+ # Change user install dir
+ sed -i -e s/.openoffice.org2/.ooo-2.0/g ${D}${INSTDIR}/program/bootstraprc || die
+
+ # Non-java weirdness see bug #99366
+ use !java && rm -f ${D}${INSTDIR}/program/javaldx
+}
+
+pkg_postinst() {
+
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+ [ -x /sbin/chpax ] && [ -e /usr/lib/openoffice/program/soffice.bin ] && chpax -zm /usr/lib/openoffice/program/soffice.bin
+
+ einfo " To start OpenOffice.org, run:"
+ einfo
+ einfo " $ ooffice2"
+ einfo
+ einfo " Also, for individual components, you can use any of:"
+ einfo
+ einfo " oobase2, oocalc2, oodraw2, oofromtemplate2, ooimpress2, oomath2,"
+ einfo " ooweb2 or oowriter2"
+}